QwtSimpleCompassRose(3)

NAME
QwtSimpleCompassRose - A simple rose for QwtCompass.

SYNOPSIS

#include <qwt_compass_rose.h>

Inherits QwtCompassRose.

  Public Member Functions
QwtSimpleCompassRose (int numThorns=8, int numThornLevels=-1)
virtual ~QwtSimpleCompassRose ()
Destructor.
void setWidth (double w)
double width () const
void setNumThorns (int count)
int numThorns () const
void setNumThornLevels (int count)
int numThornLevels () const
void setShrinkFactor (double factor)
double shrinkFactor () const
virtual void draw (QPainter *, const QPointF &center, double radius, double north, QPalette::ColorGroup=QPalette::Active) const

  Static Public Member Functions
static void drawRose (QPainter *, const QPalette &, const QPointF &center, double radius, double origin, double width, int numThorns, int numThornLevels, double shrinkFactor)

Detailed Description

A simple rose for QwtCompass.

Constructor & Destructor Documentation

  QwtSimpleCompassRose::QwtSimpleCompassRose (int numThorns = 8, int numThornLevels = -1)
Constructor

Parameters:
    numThorns Number of thorns
    numThornLevels Number of thorn levels

Member Function Documentation

  void QwtSimpleCompassRose::draw (QPainter * painter, const QPointF & center, double radius, double north, QPalette::ColorGroup cg = QPalette::Active) const [virtual]
Draw the rose

Parameters:
    painter Painter
    center Center point
    radius Radius of the rose
    north Position
    cg Color group

Implements QwtCompassRose.

  void QwtSimpleCompassRose::drawRose (QPainter * painter, const QPalette & palette, const QPointF & center, double radius, double north, double width, int numThorns, int numThornLevels, double shrinkFactor) [static]
Draw the rose

Parameters:
    painter Painter
    palette Palette
    center Center of the rose
    radius Radius of the rose
    north Position pointing to north
    width Width of the rose
    numThorns Number of thorns
    numThornLevels Number of thorn levels
    shrinkFactor Factor to shrink the thorns with each level

  int QwtSimpleCompassRose::numThornLevels () const

Returns:
    Number of thorn levels

See also:
    setNumThorns(), setNumThornLevels()

  int QwtSimpleCompassRose::numThorns () const

Returns:
    Number of thorns

See also:
    setNumThorns(), setNumThornLevels()

  void QwtSimpleCompassRose::setNumThornLevels (int numThornLevels)
Set the of thorns levels

Parameters:
    numThornLevels Number of thorns levels

See also:
    setNumThorns(), numThornLevels()

  void QwtSimpleCompassRose::setNumThorns (int numThorns)
Set the number of thorns on one level The number is aligned to a multiple of 4, with a minimum of 4

Parameters:
    numThorns Number of thorns

See also:
    numThorns(), setNumThornLevels()

  void QwtSimpleCompassRose::setShrinkFactor (double factor)
Set the Factor how to shrink the thorns with each level The default value is 0.9.

Parameters:
    factor Shrink factor

See also:
    shrinkFactor()

  void QwtSimpleCompassRose::setWidth (double width)
Set the width of the rose heads. Lower value make thinner heads. The range is limited from 0.03 to 0.4.

Parameters:
    width Width

  double QwtSimpleCompassRose::shrinkFactor () const

Returns:
    Factor how to shrink the thorns with each level

See also:
    setShrinkFactor()

  double QwtSimpleCompassRose::width () const

Returns:
    Width of the rose

See also:
    setWidth()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.